For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Expected Lineup by Team

This endpoint allows you to get all the xG values we have available per team.

https://api.sportmonks.com/v3/football/expected-lineups/teams/TEAM_ID
{
    "data": [
        {
            "id": 1,
            "sport_id": 1,
            "fixture_id": 19347797,
            "player_id": 37526530,
            "team_id": 3285,
            "formation_field": null,
            "position_id": null,
            "detailed_position_id": null,
            "type_id": 77615,
            "formation_position": null,
            "player_name": "Hlynur Freyr Karlsson",
            "jersey_number": 2
        }
    ]
}
Field
Description
Type

id

Refers to the unique id of the expected value

integer

sport_id

Refers to the sport of the expected lineup

integer

fixture_id

Refers to the fixture related to the value

integer

player_id

Refers to the player in the expected lineup

integer

team_id

Refers to the team the player plays for

integer

formation_field

Refers to the formation field

integer

position_id

Refers to the players' position

integer

detailed_position_id

Refers to the detailed players' position

integer

type_id

Refers to the type of the Expected lineup

integer

formation_position

Refers to the formation position

integer

player_name

The name of the player

string

jersey_number

The number of the player

integer

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API response with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters. See the Static and Dynamic Filters tabs

Not applicable for this endpoint.

The dynamic filters are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter to.

Using an include? Check their respective filters on their entity page. For example if you use &include=fixtures, you can apply fixture-related filters.

Dynamic Filters
Available on Entity
Description
Examples

Types

Filters the player statistics on a specific type separated by commas

&filters=lineupDetailTypes:TypeIDs<br>&filters=lineupDetailTypes:5304

Pagination

Yes

Include depth

You can use a total of 3 nested includes on this endpoint

Include options

type fixture player team

Related Entities

Get an overview and explanation of all the fields returned in the API response. The related entities for the expected endpoints are:

Example request with includes

GET https://api.sportmonks.com/v3/football/expected-lineups/teams/3285
?api_token=YOUR_TOKEN&include=fixture,team,expected

Last updated

Was this helpful?